## org.gnu.gtk.event
Class MouseMotionEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.MouseMotionEvent

All Implemented Interfaces:
  java.io.Serializable

public class MouseMotionEvent
extends GtkEvent

This event object is used to identify how mouseMotion has changed. Note: normally motion events are sent just when some mouse button is pressed. If you want events also when no button is pressed, you should retrieve the widget's GdkWindow using Widget.getWindow() and do:

     window.setEvents(window.getEvents().or(EventMask.POINTER_MOTION_MASK));

See Also:
  `Widget.getWindow()`, `MouseMotionListener`, Serialized Form

Nested Class Summary
`static class` `MouseMotionEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`MouseMotionEvent(java.lang.Object source, EventMotion gdkEvent)`

Method Summary
`Device` `getDevice()` Returns the device where the event originated.
`boolean` `getSendEvent()` Check if the event was sent explicitly (eg using XSendEvent).
`ModifierType` `getState()` Returns a bit-mask representing the state of the modifier keys (e.g.
`int` `getTimeMillis()` Returns the time of the event in milliseconds.
`Window` `getWindow()` The window which received the event.
`double` `getX()` Returns the x coordinate of the pointer relative to the window.
`double` `getXRoot()` Returns the x coordinate of the pointer relative to the root of the screen.
`double` `getY()` Returns the y coordinate of the pointer relative to the window.
`double` `getYRoot()` Returns the y coordinate of the pointer relative to the root of the screen.
`boolean` `isHint()` Check if this event is just a hint.
`boolean` `isOfType(MouseMotionEvent.Type test)` Test to compare events.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MouseMotionEvent

    public MouseMotionEvent(java.lang.Object source,
                            EventMotion gdkEvent)

Method Detail

### getWindow

    public Window getWindow()

  The window which received the event.

  Returns:
    the window which received the event.

### getSendEvent

    public boolean getSendEvent()

  Check if the event was sent explicitly (eg using XSendEvent).

  Returns:
    true if the event was sent explicitly (e.g. using XSendEvent), false otherwise.

### getTimeMillis

    public int getTimeMillis()

  Returns the time of the event in milliseconds.

  Returns:
    the time of the event in milliseconds.

### getX

    public double getX()

  Returns the x coordinate of the pointer relative to the window.

  Returns:
    the x coordinate of the pointer relative to the window.

### getY

    public double getY()

  Returns the y coordinate of the pointer relative to the window.

  Returns:
    the y coordinate of the pointer relative to the window.

### getState

    public ModifierType getState()

  Returns a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt) and the pointer buttons.

  Returns:
    a bit-mask representing the state of the modifier keys and the pointer buttons.

### isHint

    public boolean isHint()

  Check if this event is just a hint.

  Returns:
    true if this event is just a hint, false otherwise.
  See Also:
    `EventMask.POINTER_MOTION_HINT_MASK`

### getDevice

    public Device getDevice()

  Returns the device where the event originated.

  Returns:
    the device where the event originated.

### getXRoot

    public double getXRoot()

  Returns the x coordinate of the pointer relative to the root of the screen.

  Returns:
    the x coordinate of the pointer relative to the root of the screen.

### getYRoot

    public double getYRoot()

  Returns the y coordinate of the pointer relative to the root of the screen.

  Returns:
    the y coordinate of the pointer relative to the root of the screen.

### isOfType

    public boolean isOfType(MouseMotionEvent.Type test)

  Test to compare events.